For the complete documentation index, see llms.txt. This page is also available as Markdown.

🔒Get business balance

Fetch business balance

get

Allows you to fetch the current business balance and allocation ratio of a given business.

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

^FRX-API api-key=[^,]+,signature=[^,]+,timestamp=[\d]+$

Path parameters
businessIdstring · uuidRequired

The business ID to search by.

Responses
200

Returns the specified business's balance.

application/json
businessIdstring · uuidRequired
businessNamestringRequired
fiatAllocationstringRequired

Ratio of fiat to all settlements allocation for crypto deposits.

settlementFiatCurrencystring · enumRequiredPossible values:
settlementFiatAmountstringRequired

settlementFiatCurrency balance.

displayFiatAmountstringRequired

settlementFiatCurrency balance converted to EUR.

cryptoAllocationstringRequired

Ratio of crypto to all settlements allocation for crypto deposits.

settlementCryptoCurrencystring · enumRequiredPossible values:
settlementCryptoAmountstringRequired

settlementCryptoCurrency balance.

displayCryptoAmountstringRequired

settlementCryptoCurrency balance converted to EUR.

get/api/v1/balances/{businessId}
GET /api/v1/balances/{businessId} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

Returns the specified business's balance.

{
  "businessId": "231cd908-65de-4f88-983e-83ba17102a6c",
  "businessName": "businessName",
  "fiatAllocation": "0.7",
  "settlementFiatCurrency": "EUR",
  "settlementFiatAmount": "10000.55",
  "displayFiatAmount": "12000",
  "cryptoAllocation": "0.3",
  "settlementCryptoCurrency": "USDC",
  "settlementCryptoAmount": "50000.123456",
  "displayCryptoAmount": "55000"
}

Last updated